<?php
/**
 * Add custom title for each part in sections.
 *
 * @package Gt addons
 */

/**
 * Link class.
 */
class GT_Customize_Link_Control extends WP_Customize_Section {
	/**
	 * Control's type.
	 *
	 * @var string
	 */
	public $type = 'gt-link';

	/**
	 * Url.
	 *
	 * @var string
	 */
	public $url = '';

	/**
	 * Label.
	 *
	 * @var string
	 */
	public $label = '';

	/**
	 * Json.
	 */
	public function json() {
		$json          = parent::json();
		$json['label'] = $this->label;
		$json['url']   = esc_url( $this->url );
		return $json;
	}

	/**
	 * Render the control's content.
	 */
	public function render_template() {
		?>
		<li id="accordion-section-link" class="gt-link-accordion-section control-section-default cannot-expand accordion-section">
			<h3><a href="{{{ data.url }}}" target="_blank">{{ data.label }}</a></h3>
		</li>
		<?php
	}
}

if ( ! function_exists( 'gt_customizer_controls_css' ) ) {
	add_action( 'customize_controls_enqueue_scripts', 'gt_customizer_controls_css' );
	/**
	 * Add CSS for our controls
	 */
	function gt_customizer_controls_css() {
		wp_enqueue_style( 'gt-link-css', GT_LIB_URL . '/components/customizer/controls/css/link.css', array(), '1.0' );
		wp_enqueue_script( 'gt-link-js', GT_LIB_URL . '/components/customizer/controls/js/link.js', array( 'customize-base' ), array(), '1.0', true );
	}
}
